Tuesday, September 6, 2005

FEMA willing to help, so long as you use Windows

MSNBC reports on this troubling scenario over at FEMA’s website — namely, that you must be using Internet Explorer 6 (available on the PC only) in order to file a claim.

The shockingly, jaw-droppingly, appallingly incompetent actions of FEMA and others last week were bad enough. This is just plain stupid:

When reached Tuesday afternoon, a FEMA spokeswoman said they were aware of the problem and had passed it along to their tech guys to try to resolve the issue. The spokeswoman I spoke with declined to venture a guess on when the problem might be solved, however.

Folks. Designing a website that’s accessible to all is not rocket science, and the “Requires Internet Explorer version ___” went out of style about 6 years ago. Come on folks. I don’t think it’s too much to ask of our government (especially in a time of crisis) to try just a little bit harder to actually make their site work on more than one browser.

1 comment:

  1. Guess I won't be using my Mac to file a FEMA claim then, will I?